Eio

Asynchronous input/output and file manipulation. More...

## Topics

| Eio file listing API
| This functions helps list files asynchronously.
| Eio file management API.
| A set of function to manage file asynchronously.
| Eio manipulation of eXtended attribute.
| A set of function to manipulate data associated with a specific file.
| Eio Reference helper API
| This are helper provided around core Eio API.
| Manipulate an Eina_File asynchronously
| This function helps when manipulating a file asynchronously.
| Eio asynchronous API for Eet file.
| This set of functions help in the asynchronous use of Eet.
| Eio file and directory monitoring API
| These function monitor changes in directories and files.

## Typedefs

typedef struct _Eio_File | Eio_File
| Generic asynchronous I/O reference.

## Functions

EIO_API void | eio_monitoring_interval_set (double interval)
| Set the polling interval to control the fallback monitor behavior.

## Variables

EIO_API Eio_Version * | eio_version
| Eio Version Information.

## Detailed Description

Asynchronous input/output and file manipulation.

## Function Documentation

## eio_monitoring_interval_set()

EIO_API void eio_monitoring_interval_set | ( | double | interval | ) |

Set the polling interval to control the fallback monitor behavior.

Parameters

  interval | The interval (in seconds) to poll

Since
  1.21

References ecore_timer_interval_set(), eina_hash_iterator_data_new(), EINA_ITERATOR_FOREACH, eina_iterator_free(), and EINA_SAFETY_ON_TRUE_RETURN.